# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kdlfmt"
version = "0.1.3"
authors = ["Mads Hougesen <mads@mhouge.dk>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A code formatter for kdl documents."
homepage = "https://github.com/hougesen/kdlfmt?tab=readme-ov-file"
documentation = "https://github.com/hougesen/kdlfmt#readme"
readme = "README.md"
keywords = [
    "code-formatter",
    "formatter",
    "kdl",
    "pretty-printing",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/hougesen/kdlfmt"

[package.metadata.wix]
eula = false
license = false
path-guid = "AB199752-4E1B-4895-8EA3-1E2EE6DC39C2"
upgrade-guid = "66958F36-1ACD-4F8A-9770-F49752B07CDE"

[[bin]]
name = "kdlfmt"
path = "src/main.rs"

[[test]]
name = "check"
path = "tests/check.rs"

[[test]]
name = "completions"
path = "tests/completions.rs"

[[test]]
name = "format"
path = "tests/format.rs"

[[test]]
name = "help"
path = "tests/help.rs"

[[test]]
name = "init"
path = "tests/init.rs"

[dependencies.clap]
version = "4.5.45"
features = ["derive"]

[dependencies.clap_complete]
version = "4.5.57"

[dependencies.clap_complete_nushell]
version = "4.5.8"

[dependencies.console]
version = "0.15.11"

[dependencies.ec4rs]
version = "1.2.0"

[dependencies.env_logger]
version = "0.11.8"

[dependencies.ignore]
version = "0.4.23"

[dependencies.kdl]
version = "6.3.4"
features = ["v1"]

[dependencies.log]
version = "0.4.27"

[dependencies.miette]
version = "7.6.0"
features = ["fancy"]

[dev-dependencies.assert_cmd]
version = "2.0.17"

[dev-dependencies.predicates]
version = "3.1.3"

[dev-dependencies.tempfile]
version = "3.21.0"
